//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License

#ifndef _MINICADEXTERNALS_
#define _MINICADEXTERNALS_

#if !_WIN_EXTERNAL_ && !_GSWINSDK_
	#include "MiniCadHookIntf.h"

#endif // !_WIN_EXTERNAL_

#include "MiniCadCallBacks.h"


class GS_API XCall {
	private:
		long fCodeID;
		CallBackBlock fCBB;

	public:
		GenericFunctionPtr fnPtr;

		XCall(CallBackPtr cbp, ConstStr31Param externalName, Boolean needsResourceFileOpen = true);
		XCall(CallBackPtr cbp, long externalID, Boolean needsResourceFileOpen = true);
		~XCall();
};



#endif
