#ifndef REZ_FOR_MACHO
	#define REZ_FOR_MACHO 0
#endif

#if REZ_FOR_MACHO
	#include <Carbon/Carbon.r>
#else
	#include "MacTypes.r"
#endif

#include "GSRsrc.r"

// See the SDK manual for a discussion of Plug-in Menu resources.


resource 'MITM' (128) {					// MITM resource ID 128
	0,									// Needs flags
	0,									// Needs-not flags
	"SampleMenu:Menu",					// Title
	0,									// Command ID (must be 0)
	0,									// Icon ID
	0x0,								// Flags:
										//    Bit 7: 1 = chunk, 0 = not a chunk
										//    Bit 6: Has option equivalent - must be 0
										//    Bit 5: 1 = dynamic, 0 = not dynamic
										//    Bit 4: 1 = variable, 0 = not variable
										//    Bits 3-0 : set to 0
	0,									// Key equivalent
	0x0,								// Key flags (unused - set to 0)
	0,									// Mark char or sub-menu ID
	0x0,								// Style flags
										//    Bit 7: unused - set to 0
										//    Bit 6: extend
										//    Bit 5: condense
										//    Bit 4: shadow
										//    Bit 3: outline
										//    Bit 2: underline
										//    Bit 1: italic
										//    Bit 0: bold
	0,									// Product flags
	0,									// Mode flags
	0,									// Version Created
	0,									// Version Modified
	0									// Version Retired
};


// Help tag (tool tip) resource.
resource 'TEXT' (128) {
	"Menu\n\nMenu Item."
};


resource 'vers' (1, "Plug-in vers") {
	0x1,								// Major revision in BCD
	0x0,								// Minor revision in BCD
	release,							// Release stage
	0x0,								// Non-final release #
	0,									// Region code
	"1.0",								// Short version number
	"1.0.0,  copyright 2004."			// Long version number
};

resource 'vers' (2, "Application vers") {
	0xB,
	0x0,
	release,
	0x0,
	0,
	"11.0",
	"VectorWorks 11.0"
};
