//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//
//
// Include this file when you can not include "StdHeaders.h". It sould only be included
// in one of two ways:
//
//   (1) As the very first include in a ".X.cpp" file.
//   (2) Inside another "StdHeader.???.h" file.
//
// *** This file must NEVER include any platform specific header files. ***
//


#ifdef _STDHEADERS_X_H_
	#error You have included StdHeaders.X.h more than once. See comment at top of file.
#else
	#define _STDHEADERS_X_H_ 1
#endif
  

#if GS_CORE_BUILD
	#include "CoreDefines.h"
#elif GS_SHELL_BUILD
	#include "ShellDefines.h"
#else
	#include "SharedDefines.h"
#endif

#include "GSDebug.h"
 