//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

#include "Control.h"

namespace VWFC
{
	namespace VWUI
	{
		class VWPictureCtrl : public VWControl
		{
		public:
							VWPictureCtrl(TControlID id);
			virtual			~VWPictureCtrl();

#if T00809_IMAGE_RESOURCE_MANAGER_ENABLED || 1
			virtual bool    CreateControl(VWDialog* pDlg, const TXString& imageSpec);
#else
			virtual bool	CreateControl(VWDialog* pDlg, long picID);
#endif

		// attributes
		public:
#if T00809_IMAGE_RESOURCE_MANAGER_ENABLED || 1
			void			SetImage(const TXString& imageSpec);
#else
			void			SetPictRSRCID(long picID);
			void			SetPictPNGID(long resPNG);
#endif

		};
	}
}
