//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//


#include "StdHeaders.h"

#include "StaticTextCtrl.h"

#include "Dialog.h"

using namespace VWFC::VWUI;

VWStaticTextCtrl::VWStaticTextCtrl(TControlID id)
: VWControl( id )
{
}

VWStaticTextCtrl::~VWStaticTextCtrl()
{
}

bool VWStaticTextCtrl::CreateControl(VWDialog* pDlg, const TXString& text, short widthInCharacters/*=-1*/)
{
	::GS_CreateStaticText( gCBP, pDlg->GetControlID(), fControlID, text, widthInCharacters );
	return VWControl::CreateControl( pDlg );
}

void VWStaticTextCtrl::SetStyle(EStaticTextCtrlStyle style)
{
	gSDK->SetStaticTextStyle( fpParentDlg->GetControlID(), fControlID, short(style) );
}
